Summary: Simulate X11 events 
Name: evrouter
Version: 0.3.3 
Release: 1mdk
License: GPL
Group: System/X11 
URL: http://www.bedroomlan.org/~alexios/coding_evrouter.html 
Source0: %{name}_%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot/

%description
evrouter performs the following following closely allied tasks:

o It makes X11 aware of input devices and events it doesn't support, for
one reason or another. For example, thanks to the wonders of USB HID
descriptors, the wheel on my Logitech keyboard is completely ignored by
X11, even though the Linux kernel reads and parses its events just fine.

o It allows modern input events to be fed to old applications. Pine, for
instance, knows nothing about wheels.

o It allows hotkey-like operation. This is very useful for the special keys
on multimedia keyboards.

o It can act differently depending on the currently focused window.

All this is accomplished thanks to the Linux 2.4 (and above) Event
Interface (CONFIG_INPUT_EVDEV), which currently evrouter depends on. The
program parses input events, uses a user-specified ruleset to transform
them to other events based on various conditions, and acts on them.
Currently, and this is still an alpha version, evrouter can perform the
following actions:

o  It can simulate X11 key events.
o  It can simulate X11 mouse button events.
o  It can run shell commands.
o  It can control XMMS.

%prep
%setup -q -n evrouter

%build

%configure

%install
rm -rf %{buildroot}

%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,bin,bin,-)
%doc src/example
%{_bindir}/evrouter
%{_mandir}/man1/evrouter.1*

%changelog
* Tue Nov  8 2005 Brouard Nicolas <nicolas.brouard@mandriva.org> 0.3.3-1mdk
- Initial build (from Redhat spec) 

